## ros-noetic-mia-hand-bringup 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(mia_hand_bringup)

## Compile as C++11, supported in ROS Kinetic and newer
# add_compile_options(-std=c++11)

# Find catkin macros and libraries
find_package(catkin REQUIRED)


###################################
## catkin specific configuration ##
###################################

catkin_package()


#############
## Install ##
#############

# Mark launch directory for installation
install(
  DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Mark config directory for installation
install(
  DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-mia-hand-bringup (1.0.2-1focal) focal; urgency=high



 -- Andrea Burani <andreabu@prensilia.com>  Sun, 06 Feb 2022 23:00:00 -0000

ros-noetic-mia-hand-bringup (1.0.1-1focal) focal; urgency=high

  * Merge branch 'master' of bitbucket.org:prensiliasrl/mia_hand_ros_pkgs
  * Update trajectory velocity controllers (also for moveit).
  * Contributors: Andrea Burani, frcini

 -- Andrea Burani <andreabu@prensilia.com>  Sun, 06 Feb 2022 23:00:00 -0000

ros-noetic-mia-hand-bringup (1.0.0-1focal) focal; urgency=high

  * 1.0.0
  * Updated CHANGELOG files.
  * Updated CHANGELOG files.
  * Added srv dependency to mia_hand_driver and joint_state_interface to mmia_hand_description. Added wiki url links.
  * 1.0.0
  * Added ChangeLog files of each pkg.
  * Initial commit.
  * Fix package xml files.
  * Initial commit.
  * Contributors: Andrea Burani, frcini

 -- Andrea Burani <andreabu@prensilia.com>  Mon, 24 Jan 2022 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-mia-hand-bringup
Section: misc
Priority: optional
Maintainer: Andrea Burani <andreabu@prensilia.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: https://wiki.ros.org/mia_hand_ros_pkgs
Standards-Version: 3.9.2

Package: ros-noetic-mia-hand-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-mia-hand-description, ros-noetic-mia-hand-driver, ros-noetic-mia-hand-gazebo, ros-noetic-mia-hand-ros-control
Description: Package for grouping together all Mia Hand config and launch files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mia-hand-bringup//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
